org.apache.ignite.internal.util.lang.gridfunc

## Class EntryByKeyEvaluationPredicate<K,V>

- java.lang.Object
- - org.apache.ignite.internal.util.lang.gridfunc.EntryByKeyEvaluationPredicate<K,V>

All Implemented Interfaces:
  Serializable, IgnitePredicate<Map.Entry<K,V>>

    public class EntryByKeyEvaluationPredicate<K,V>
    extends Object
    implements IgnitePredicate<Map.Entry<K,V>>

Predicate evaluates to true for given value. Note that evaluation will be short-circuit when first predicate evaluated to false is found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EntryByKeyEvaluationPredicate(IgnitePredicate<? super K>... preds)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `apply(Map.Entry<K,V> e)` Predicate body.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EntryByKeyEvaluationPredicate

    public EntryByKeyEvaluationPredicate(IgnitePredicate<? super K>... preds)

Parameters:
  `preds` - Optional set of predicates to use for filtration. If none provided - original map (or its copy) will be returned.

### Method Detail

#### apply

    public boolean apply(Map.Entry<K,V> e)

Predicate body.

Specified by:
  `apply` in interface `IgnitePredicate<Map.Entry<K,V>>`
Parameters:
  `e` - Predicate parameter.
Returns:
  Return value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020